Get feature
curl --request GET \
--url https://api.qa.tech/v1/features/{featureId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qa.tech/v1/features/{featureId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qa.tech/v1/features/{featureId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"feature": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"pages": [
{
"path": "<string>",
"description": "<string>"
}
],
"actions": [
{
"text": "<string>",
"type": "<string>",
"element": "<string>",
"page": "<string>",
"entityId": "<string>",
"entityName": "<string>",
"entityDescription": "<string>",
"similarActionCount": 123
}
]
}
}Features
Get feature
Fetch detail for a single feature, including pages it spans and actions that belong to it
GET
/
v1
/
features
/
{featureId}
Get feature
Path Parameters
Query Parameters
Mixin for project-scoped requests: an optional per-call project override.
Show child attributes
Show child attributes
Response
200 - application/json
The request has succeeded.
Response for fetching a single feature detail
Detailed view of a single feature including pages and actions
Show child attributes
Show child attributes
Was this page helpful?
⌘I